> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Price matching history

> Get intraday price matching history for a stock symbol.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /nyx/v1/intraday/{ticker}/his/paging
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /nyx/v1/intraday/{ticker}/his/paging:
    get:
      summary: Price matching history
      description: Get intraday price matching history for a stock symbol.
      parameters:
        - name: ticker
          in: path
          required: true
          description: Stock symbol, e.g. TCB.
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number (starts from 0).
          schema:
            type: number
            format: double
        - name: size
          in: query
          required: false
          description: Page size (max 100).
          schema:
            type: number
            format: double
        - name: headIndex
          in: query
          required: false
          description: Head index for reverse paging (default -1).
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    format: double
                    description: Current page.
                  size:
                    type: number
                    format: double
                    description: Page size.
                  headIndex:
                    type: number
                    format: double
                    description: Head index.
                  numberOfItems:
                    type: number
                    format: double
                    description: Number of items returned.
                  total:
                    type: number
                    format: double
                    description: Total matched orders.
                  ticker:
                    type: string
                    description: Stock symbol.
                  data[].p:
                    type: number
                    format: double
                    description: Matching price.
                  data[].v:
                    type: number
                    format: double
                    description: Volume.
                  data[].cp:
                    type: number
                    format: double
                    description: Price change (price - ref price).
                  data[].a:
                    type: string
                    description: Action (Buy up/Sell down).
                  data[].ba:
                    type: number
                    format: double
                    description: Buy accumulate.
                  data[].sa:
                    type: number
                    format: double
                    description: Sell accumulate.
                  data[].hl:
                    type: boolean
                    description: Highlight if value > 200M.
                  data[].t:
                    type: string
                    description: Time received from exchange.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.